PIXUNTILE
1
BRL-CAD
BRL-CAD

# pixuntile

break small images up into separate files

      pixuntile
        -h
        -s squareinsize
        -w in_width
        -n in_height
        -S squareoutsize
        -W out_width
        -N out_height
        -o startframe
        basename
        <
        file.pix

      pixuntile
        -h
        -s squareinsize
        -w in_width
        -n in_height
        -S squareoutsize
        -W out_width
        -N out_height
        file1
        file2
        fileN
        <
        file.pix

## DESCRIPTION

Pixuntile performs the inverse operation of pixtile 1. It takes a large image composed of a collection of small images and places each of them in a separate file. The input and output files are assumed to be in pix 5 format. By default, the input file is assumed to be 512x512 pixels in size. Specifying the `-h` flag, changes the default input size to 1024x1024 pixels.

The output files have a default width of 64 pixels and are usually square, i.e. have the same height as width. Specifying the `-S` flag, changes the default size to squareoutsize pixels in width and height.

The files being produces as output will have names of the form basename.num, where basename is given on the command line, and num is a consecutive series of integers. By default the first image is assumed to be number " 0 ", but an alternate startframe can be given by using the `-o` startframe flag and specifying the starting output frame number, where startframe is substituted for num in basename.num

Alternatively, if more than one basename (filename) argument is supplied on the command line, the names of the files are used as the output file names.

## EXAMPLE

`pixuntile -h -S 128 out < in.pix` will read the 1024x1024 file in.pix and place the 128x128 chucks of that file from lower left to upper right in the files out.0 through out.15.

## SEE ALSO

pixtile 1, brlcad 1, pix 5.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1988-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.